Loading...
Searching...
No Matches
BamTools::SamReadGroup Struct Reference

Represents a SAM read group entry. More...

`#include <SamReadGroup.h>`

## Public Member Functions

| SamReadGroup ()
| default constructor
| SamReadGroup (const std::string &id)
| constructs read group with id
void | Clear ()
| Clears all data fields.
bool | HasDescription () const
| Returns `true` if read group contains @RG DS:<Description>.
bool | HasFlowOrder () const
| Returns `true` if read group contains @RG FO:<FlowOrder>.
bool | HasID () const
| Returns `true` if read group contains @RG: ID:<ID>.
bool | HasKeySequence () const
| Returns `true` if read group contains @RG KS:<KeySequence>.
bool | HasLibrary () const
| Returns `true` if read group contains @RG LB:<Library>.
bool | HasPlatformUnit () const
| Returns `true` if read group contains @RG PU:<PlatformUnit>.
bool | HasPredictedInsertSize () const
| Returns `true` if read group contains @RG PI:<PredictedInsertSize>.
bool | HasProductionDate () const
| Returns `true` if read group contains @RG DT:<ProductionDate>.
bool | HasProgram () const
| Returns `true` if read group contains @RG PG:<Program>.
bool | HasSample () const
| Returns `true` if read group contains @RG SM:<Sample>.
bool | HasSequencingCenter () const
| Returns `true` if read group contains @RG CN:<SequencingCenter>.
bool | HasSequencingTechnology () const
| Returns `true` if read group contains @RG PL:<SequencingTechnology>.

## Public Attributes

std::string | Description
| corresponds to @RG DS:<Description>
std::string | FlowOrder
| corresponds to @RG FO:<FlowOrder>
std::string | ID
| corresponds to @RG ID:<ID>
std::string | KeySequence
| corresponds to @RG KS:<KeySequence>
std::string | Library
| corresponds to @RG LB:<Library>
std::string | PlatformUnit
| corresponds to @RG PU:<PlatformUnit>
std::string | PredictedInsertSize
| corresponds to @RG PI:<PredictedInsertSize>
std::string | ProductionDate
| corresponds to @RG DT:<ProductionDate>
std::string | Program
| corresponds to @RG PG:<Program>
std::string | Sample
| corresponds to @RG SM:<Sample>
std::string | SequencingCenter
| corresponds to @RG CN:<SequencingCenter>
std::string | SequencingTechnology
| corresponds to @RG PL:<SequencingTechnology>
std::vector< CustomHeaderTag > | CustomTags

## Detailed Description

Represents a SAM read group entry.

Provides direct read/write access to the SAM read group data fields.

See also
  http://samtools.sourceforge.net/SAM1.pdf

## Constructor & Destructor Documentation

## SamReadGroup() [1/2]

SamReadGroup::SamReadGroup | ( |  | ) |

default constructor

## SamReadGroup() [2/2]

SamReadGroup::SamReadGroup | ( | const std::string & | id | ) |

constructs read group with id

Parameters

  id | desired read group ID

## Member Function Documentation

## Clear()

void SamReadGroup::Clear | ( |  | ) |

Clears all data fields.

## HasDescription()

bool SamReadGroup::HasDescription | ( |  | ) | const

Returns `true` if read group contains @RG DS:<Description>.

## HasFlowOrder()

bool SamReadGroup::HasFlowOrder | ( |  | ) | const

Returns `true` if read group contains @RG FO:<FlowOrder>.

## HasID()

bool SamReadGroup::HasID | ( |  | ) | const

Returns `true` if read group contains @RG: ID:<ID>.

## HasKeySequence()

bool SamReadGroup::HasKeySequence | ( |  | ) | const

Returns `true` if read group contains @RG KS:<KeySequence>.

## HasLibrary()

bool SamReadGroup::HasLibrary | ( |  | ) | const

Returns `true` if read group contains @RG LB:<Library>.

## HasPlatformUnit()

bool SamReadGroup::HasPlatformUnit | ( |  | ) | const

Returns `true` if read group contains @RG PU:<PlatformUnit>.

## HasPredictedInsertSize()

bool SamReadGroup::HasPredictedInsertSize | ( |  | ) | const

Returns `true` if read group contains @RG PI:<PredictedInsertSize>.

## HasProductionDate()

bool SamReadGroup::HasProductionDate | ( |  | ) | const

Returns `true` if read group contains @RG DT:<ProductionDate>.

## HasProgram()

bool SamReadGroup::HasProgram | ( |  | ) | const

Returns `true` if read group contains @RG PG:<Program>.

## HasSample()

bool SamReadGroup::HasSample | ( |  | ) | const

Returns `true` if read group contains @RG SM:<Sample>.

## HasSequencingCenter()

bool SamReadGroup::HasSequencingCenter | ( |  | ) | const

Returns `true` if read group contains @RG CN:<SequencingCenter>.

## HasSequencingTechnology()

bool SamReadGroup::HasSequencingTechnology | ( |  | ) | const

Returns `true` if read group contains @RG PL:<SequencingTechnology>.

## Member Data Documentation

## CustomTags

std::vector<CustomHeaderTag> BamTools::SamReadGroup::CustomTags

## Description

std::string BamTools::SamReadGroup::Description

corresponds to @RG DS:<Description>

## FlowOrder

std::string BamTools::SamReadGroup::FlowOrder

corresponds to @RG FO:<FlowOrder>

## ID

std::string BamTools::SamReadGroup::ID

corresponds to @RG ID:<ID>

Required for valid SAM header.

## KeySequence

std::string BamTools::SamReadGroup::KeySequence

corresponds to @RG KS:<KeySequence>

## Library

std::string BamTools::SamReadGroup::Library

corresponds to @RG LB:<Library>

## PlatformUnit

std::string BamTools::SamReadGroup::PlatformUnit

corresponds to @RG PU:<PlatformUnit>

## PredictedInsertSize

std::string BamTools::SamReadGroup::PredictedInsertSize

corresponds to @RG PI:<PredictedInsertSize>

## ProductionDate

std::string BamTools::SamReadGroup::ProductionDate

corresponds to @RG DT:<ProductionDate>

## Program

std::string BamTools::SamReadGroup::Program

corresponds to @RG PG:<Program>

## Sample

std::string BamTools::SamReadGroup::Sample

corresponds to @RG SM:<Sample>

## SequencingCenter

std::string BamTools::SamReadGroup::SequencingCenter

corresponds to @RG CN:<SequencingCenter>

## SequencingTechnology

std::string BamTools::SamReadGroup::SequencingTechnology

corresponds to @RG PL:<SequencingTechnology>

The documentation for this struct was generated from the following files:

- SamReadGroup.h
- SamReadGroup.cpp